MyGUI_XmlDocument.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_UString.h"`
`#include "MyGUI_Diagnostic.h"`
`#include "MyGUI_DataStream.h"`
`#include <vector>`
`#include <string>`
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <cassert>`
`#include <type_traits>`
`#include <memory>`

Go to the source code of this file.

## Data Structures

struct | MyGUI::xml::ElementType
struct | MyGUI::xml::ErrorType
class | MyGUI::xml::ElementEnumerator
class | MyGUI::xml::Element
class | MyGUI::xml::Document

## Namespaces

namespace | MyGUI
namespace | MyGUI::xml

## Typedefs

using | MyGUI::xml::ElementPtr = Element*
using | MyGUI::xml::PairAttribute = std::pair<std::string, std::string>
using | MyGUI::xml::VectorAttributes = std::vector<PairAttribute>
using | MyGUI::xml::VectorElement = std::vector<std::unique_ptr<Element>>
using | MyGUI::xml::ElementPtr